Bug 55694 - apparently abends updating grb
apparently abends updating grb
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-04 20:22 EST by Need Real Name
Modified: 2015-01-07 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-05 17:40:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-04 20:22:47 EST
Description of Problem:abend with the following message:
	
 Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 786, in doInstallation
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2119, in
installBootLoader
    __install_grub(kernelList)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2141, in
__install_grub
    ret  = grubcfg.installNewImages(kernelList,test=0)
  File "/usr/share/rhn/up2date_client/grubcfg.py", line 58, in
installNewImages
    header = findDepLocal(db,defaultImagePath)
  File "/usr/share/rhn/up2date_client/up2date.py", line 464, in
findDepLocal
    if dep[0] == '/':
IndexError: string index out of range



Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Adrian Likins 2001-11-05 17:14:14 EST
Do you have a non linux system setup as the default in grub.conf?

Thats the scenario where I've seen this happen.

I have  a fix for that case that should be in the next version
of the client.
Comment 2 David M. Cook 2002-02-13 18:00:30 EST
Fixed in RHBA-2001-119:

http://www.redhat.com/support/errata/RHBA-2001-119.html

Note You need to log in before you can comment on or make changes to this bug.